com.smartxls

## Class FormControlShape

- java.lang.Object
- - com.smartxls.ShapeObj
  - - com.smartxls.FormControlShape

-     public class FormControlShape
      extends ShapeObj

  This class represents a Form control object. Types: 20-ComBox 11-CheckBox 18-ListBox

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `CheckBox` shape check box
    `static short` | `CombBox` shape combox
    `static short` | `ListBox` shape list box

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCheckState()` return the check box check state 0-uncheck 1-check 2-mixed
    `int` | `getCombSelIndex()` return the combox select index
    `boolean[]` | `getListBoxSelection()` return the listbox select type 0-single 1-multi 2-extend
    `int` | `getListBoxSelType()` return the listbox select type 0-single 1-multi 2-extend
    `java.lang.String` | `getText()` lable text.
    `void` | `setCellLink(java.lang.String link)` set the link cell of the control
    `void` | `setCellRange(java.lang.String source)` set the source range link to the control
    `void` | `setCheckState(int state)` set the check box check state 0-uncheck 1-check 2-mixed
    `void` | `setCombSelIndex(int state)` set the combox select index
    `void` | `setListSelection(int type, boolean[] sels)` set the listbox selection type and selected index
    `void` | `setText(java.lang.String text)` set the lable of the control

    - ### Methods inherited from class com.smartxls.ShapeObj

      `getBottom, getFormat, getLeft, getName, getPos, getRight, getTop, setAutoLayoutDirection, setFormat, setName, setPosition`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CheckBox

          public static final short CheckBox

      shape check box
      See Also:
        Constant Field Values

    - #### CombBox

          public static final short CombBox

      shape combox
      See Also:
        Constant Field Values

    - #### ListBox

          public static final short ListBox

      shape list box
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### setCellRange

          public void setCellRange(java.lang.String source)

      set the source range link to the control
      Parameters:
        `source` - range source

    - #### setCellLink

          public void setCellLink(java.lang.String link)

      set the link cell of the control
      Parameters:
        `link` - the link cell

    - #### getText

          public java.lang.String getText()

      lable text.
      Returns:
        lable text.

    - #### setText

          public void setText(java.lang.String text)

      set the lable of the control
      Parameters:
        `text` - control lable.

    - #### getCheckState

          public int getCheckState()

      return the check box check state 0-uncheck 1-check 2-mixed
      Returns:
        check state

    - #### setCheckState

          public void setCheckState(int state)

      set the check box check state 0-uncheck 1-check 2-mixed
      Parameters:
        `state` - check state

    - #### getCombSelIndex

          public int getCombSelIndex()

      return the combox select index
      Returns:
        select index

    - #### setCombSelIndex

          public void setCombSelIndex(int state)

      set the combox select index
      Parameters:
        `state` - select index

    - #### getListBoxSelType

          public int getListBoxSelType()

      return the listbox select type 0-single 1-multi 2-extend
      Returns:
        select index

    - #### getListBoxSelection

          public boolean[] getListBoxSelection()

      return the listbox select type 0-single 1-multi 2-extend
      Returns:
        1-base boolean array to indicate the selection index

    - #### setListSelection

          public void setListSelection(int type,
                                       boolean[] sels)

      set the listbox selection type and selected index
      Parameters:
        `type` - select type 0-single 1-multi 2-extend
        `sels` - 1-base boolean array to indicate the selection index